﻿using C1.WPF;
using System;
using System.Globalization;
using System.Windows;
using System.Windows.Input;

namespace DateTimeContextMenu
{
    /// <summary>
    /// Interaction logic for PopupWindow.xaml
    /// </summary>
    public partial class PopupWindow : Window
    {
        public PopupWindow()
        {
            InitializeComponent();
        }

        private void timeEditor_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if(e.Key == Key.Enter && !string.IsNullOrEmpty(((C1.WPF.C1MaskedTextBox)e.OriginalSource).Text))
            {
                timeEditor.FinalizeEditing();
                MessageBox.Show(timeEditor.Value.ToString());
                this.Close();
            }
        }
    }
}
